//----------------------------------------------------------------------
// webpack.config.js
// Author: Lucas Manning and Bob Dondero
//----------------------------------------------------------------------

const path = require('path');

module.exports = {

   mode: "production",  // "production", "development", "none"

   entry: './main.js',

   output: {
      // Store the output file in a subdirectory named static.
      path: path.resolve(__dirname, 'static'),

      // Name the output file app.bundle.js.
      filename: 'app.bundle.js'
   },

   module: {
      rules: [ {
            // Use babel-loader as the loader.
            loader: 'babel-loader',

            // Use these loader options.
            options: {
               presets: ['@babel/preset-env', '@babel/preset-react']
            },

            // Include files whose names match the specified pattern.
            test: /\.jsx?$/,

            // Exclude files whose names match the specified pattern.
            exclude: /node_modules/
      } ]
   }
};
