#!/usr/bin/env python

#-----------------------------------------------------------------------
# penny.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import os
import json
import flask
import flask_cors
import dotenv
import database

#-----------------------------------------------------------------------

dotenv.load_dotenv()
CLIENT_URL = os.environ['CLIENT_URL']

app = flask.Flask(__name__)

flask_cors.CORS(app, resources={r'/api/*': {'origins': CLIENT_URL}})

#-----------------------------------------------------------------------

@app.route('/api/searchresults', methods=['GET'])
def search_results():

    author = flask.request.args.get('author')
    if author is None:
        author = ''
    author = author.strip()

    if author == '':
        books = []
    else:
        books = database.get_books(author) # Exception handling omitted

    json_doc = json.dumps(books)
    response = flask.make_response(json_doc)
    response.headers['Content-Type'] = 'application/json'
    return response
